spring:
  application:
    name: eip-auth
  datasource:
    dynamic:
      datasource:
        master:
          username: root
          password: root
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://127.0.0.1:3306/hotent_test?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull&autoReconnect=true&failOverReadOnly=false&maxReconnects=10&allowMultiQueries=true

#          username: ROOT
#          password: ROOT
#          driver-class-name: oracle.jdbc.OracleDriver
#          url: jdbc:oracle:thin:@127.0.0.1:1521:helowin

  #          druid:
  #            public-key: MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAIobgl5Uq9fEW2V6dLXqWJKDUZGAA3CCVasj1Yxge3STiWZ1plhxBUQgNgyRYeEUrUHzYPozfm0kL/zLlHMzcnUCAwEAAQ==
  #            wall:
  #              #开启druid允许执行多条SQL
  #              multiStatementAllow: true
  redis:
    database: 6
    host: 127.0.0.1
    port: 6379
    password:
    redisson:
      singleServerConfig:
        # 单个连接最大订阅数量
        subscriptionsPerConnection: 5
        # 连接池大小
        connectionPoolSize: 8
        # 最小空闲连接数
        connectionMinimumIdleSize: 4
        # 发布和订阅连接池大小
        subscriptionConnectionPoolSize: 8
        # 发布和订阅连接的最小空闲连接数
        subscriptionConnectionMinimumIdleSize: 1
  activemq:
    in-memory: true
    user:
    password:
  kafka:
    bootstrap-servers: 127.0.0.1:9092
  rocketmq:
    namesrvAddr: 192.168.1.31:9876

server:
  port: 8090

jms:
  enable: true
  bpmRuntime: true
# 是否解决跨域问题  true时为跨域有限制,false为解决跨域问题
cors:
  enable: true

# 单服务部署时可以关闭redis，此时使用caffeine来缓存
redis:
  enable: true
  caffeine:
    enabled: true # 是否使用二级缓存  前提redis 需要开启

# 分布式事务
seata:
  enabled: false

eureka:
  client:
    service-url:
      defaultZone: http://127.0.0.1:8761/eureka/
    enabled: false

xxl:
  job:
    enabled: false #如果使用xxl则不使用quartz
    admin:
      addresses: http://192.168.1.100:8120/xxl-job-admin
    executor:
      port: 9998
# 配置日志
logging:
  level:
    # log 级别
    root: debug
